TYPO3 Version: 6.1

PHP Version: 54

Complexity: medium
Subject: MEDIA / renderType / impossible to use custom renderType for video

Description

hiya!

the if structure on line 178 (and following) in sysext/frontend/Classes/ContentObject/MediaContentObject.php always sets
$renderType to 'swf',

so it's impossible to use a custom renderType for video

the problem (imho) is the combination of
178 if (JrenderType !=="'qt' && $renderType |=="embed' && $conf['type'] == 'video') {

and
192 } elseif (isset($conf['file']) && lisset($conf['caption']) && lisset($conf['sources'])) {

193 $renderType = 'swf';

as a result $renderType is always 'swf' for video
or do | miss something here (guess not)?

possibly related to http://forge.typo3.org/issues/38376

Related issues:

related to Core - Bug # 33357: Media content element doesn't work with YouTub... Resolved 2012-01-21
related to Core - Bug # 35921: Final usability improvement for the Media Element Resolved 2012-04-12
related to Core - Bug # 38376: class tslib_content_media overwrites custom re... Closed 2012-06-25

History

#1 - 2013-10-25 16:52 - Philipp Gampe

- Status changed from New to Needs Feedback

- Complexity set to medium

- Is Regression changed from No to Yes

| think this is a regression introduced with #33357

To me it looks like the patch does not take custom render types into account.

You should be able to avoid this condition by setting a caption or a source.

Can you confirm that its is working then.

2015-08-04

1/2



http://forge.typo3.org/issues/38376

#2 - 2013-12-12 14:47 - Wolfgang Klinger

Yes, setting a caption or source fixes the problem

#3 - 2014-01-06 17:07 - Alexander Opitz

- Status changed from Needs Feedback to New

#4 - 2014-02-18 10:42 - Wolfgang Klinger

The problem arises again if | want to use e.g. a youtube URL as media,

because then the if condition on line 179 matches and sets the renderType to 'swf' again

(though I don't like to have to add a caption and/or source as ,solution” for local media anyway)

Will this get fixed anytime soon? Any other workaround ideas other than hacking the core?

#5 - 2014-09-10 13:32 - Frans Saris

I'm working on a prototype to make it possible to register your own "render" helpers. Have a look at

https://github.com/fsaris/fal_online_media connector

It also makes it possible to have a text+media element instead only text+image
